Draft PunktAnordnung

From FreeCAD Documentation
Revision as of 21:41, 5 June 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft PunktAnordnung

Menüeintrag
Entwurf → PunktAnordnung
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
0.18
Siehe auch
Entwurf Anordnung, Entwurf PfadAnordnung

Beschreibung

Das Entwurf PunktAnordnungWerkzeug platziert Kopien einer ausgewählten Form entlang verschiedener ausgewählter Punkte.

Das PunktAnordnungswerkzeug kann auf 2D Formen verwendet werden, die mit der Draft Arbeitsbereich erstellt wurden, aber auch auf vielen Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich, PartDesign Arbeitsbereich, oder Arch Arbeitsbereichen erstellt wurden.

Um Kopien in einem orthogonalen Feld zu positionieren, verwende Entwurf Feld; um Kopien entlang eines Pfades zu positionieren, verwende Draft PathArray; um Kopien oder Klone zu erstellen und sie manuell zu platzieren, verwende Draft Move, Draft Rotate und Draft Clone.

An bestimmten Stellen angeordnetes Objekt

Anwendung

  1. Wähle ein Objekt aus, das Du verteilen möchtest.
  2. Wähle eine Punktverbindung aus.
  3. Drücke die Taste 16px. Draft PointArray Taste.

Jedes Element in der Anordnung ist ein genauer Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine einzige Einheit betrachtet.

Point compound

Um eine Punktverbindung zu erstellen, wähle verschiedene Entfwurfspunkte aus und drücke dann die Taste . Draft Upgrade Taste.

In essence, the object to be used as the compound must have one of three properties, DatenComponents, DatenLinks, or DatenGeometry, and inside that compound, there must be at least one point with DatenX, DatenY, and DatenZ properties.

Note: in the case of Draft Point and Part Point the array will try to position the copies using the DatenPlacement of the point. In the case of a sketcher Point, the position will be taken from its internal X, Y, and Z attributes.

Note 2: for Draft Point its DatenPlacement always follows the values of DatenX, DatenY, DatenZ, so modifying these values is enough to produce the desired displacement. However, for Part Point, the net displacement is given by the sum of DatenPlacement with the vector with components DatenX, DatenY, and DatenZ.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

A PointArray is derived from a Part Feature (Part::Feature class), therefore it shares all the latter's properties. In addition to the properties described in Part Feature, the PointArray has the following properties in the property editor.

Objects

  • DatenBase (Link): the object to duplicate; it must have a Part TopoShape.
  • DatenCount (Integer): (read-only) specifies the number of copies in the array. This property is read-only because the number of copies is determined by the number of points inside of DatenPoint Object.
  • DatenExtra Placement (Placement): specifies an additional placement, translation and rotation, that will be applied to each copy in the array. Each copy normally appears with the same rotation as the DatenBase object; with this property it is possible to provide additional rotation, or counter the original rotation, and make small adjustments to the position of the copies. introduced in version 0.19
  • DatenPoint Object (Link): specifies a compound object with points that indicate where the copies of the DatenBase object will appear. The compound object needs to have one of DatenLinks, DatenComponents, or DatenGeometry properties, and contain at least one element with DatenX, DatenY, and DatenZ attributes.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The PointArray tool can be used in macros and from the Python console by using the following function:

Older call

point_array = makePointArray(base_object, point_object)

New call

point_array = make_point_array(base_object, point_object, extra=None):
  • Creates a "PointArray" object from the base_object, by placing the copies in the points contained within point_object.
    • point_object should have one of Geometry, Links, or Components attributes containing points.
    • Instead of a reference to an object, base_object and point_object can also be Labels (strings) of objects existing in the current document.
    • extra can be a full App.Placement, or just an App.Vector or App.Rotation.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()